summaryrefslogtreecommitdiff
path: root/standalone
diff options
context:
space:
mode:
Diffstat (limited to 'standalone')
-rw-r--r--standalone/windows/build.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index 36ececfdb..c63fa8b17 100644
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -35,8 +35,13 @@ cd ..
cabal install --only-dependencies -f"$FLAGS"
-if ! -e last-incremental-failed; then
- cabal clean
+# Detect when the last build was an incremental build and failed,
+# and try a full build. Done this way because this shell seems a bit
+# broken.
+if [ -e last-incremental-failed ]; then
+ cabal clean || true
+ # windows breakage..
+ rm -rf dist
fi
touch last-incremental-failed